Page MenuHomePhabricator

Node.js composition layer for Suggested Edits suggestions
Closed, ResolvedPublic

Description

The Suggested Edits feature requires information from up to three distinct wiki databases: from Wikidata as well as both the source and target language Wikipedias. The Wikipedias do not have direct access to data about Wikidata items, and Wikidata does not have access to detailed data about Wikipedia pages (such as whether they are missing, are redirects, or have locally stored short descriptions); and the source and target Wikipedias do not have access to such data about each others' pages, so simply moving the suggestions table derived from Wikidata data into shared storage will not provide access to all the data we need from a single wiki, either.

A new service is needed to aggregate the needed data from the various wikis' Action APIs and compose it into a single response. Ideally, it should be a standalone service rather than another addition to mobileapps.

I would anticipate that this would take less than a week to develop. The time to deploy is TBD.

Event Timeline

Mholloway created this task.Apr 3 2019, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2019, 7:43 PM
Mholloway triaged this task as Normal priority.Apr 3 2019, 7:44 PM
Mholloway added a project: Services.

Tagging Services as a heads-up. I don't anticipate this needing storage.

Mholloway updated the task description. (Show Details)Apr 3 2019, 9:24 PM
Mholloway updated the task description. (Show Details)Apr 3 2019, 9:26 PM

This feature is very similar to what Recommendation-API is doing. Might be worth talking to Research and @bmansurov in particular.

Thanks @Pchelolo, that's an excellent point. Having this as part of the Recommendation API makes perfect sense to me. @bmansurov and I actually chatted about it at All-Hands, but I decided to try to keep the logic entirely within MediaWiki, if possible; it now looks like that's not going to suffice.

@bmansurov, I'll spin up a quick prototype for you to take a look at.

Mholloway added a comment.EditedApr 4 2019, 4:47 PM

@bmansurov, I'll spin up a quick prototype for you to take a look at.

Actually, this will not be quick: I'm on vacation next week and the week after, and probably won't have time to get to it before I leave.

It'll be simple, though! ;)

Change 513340 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/recommendation-api@master] Suggestions endpoints for SDC image caption addition/translation

https://gerrit.wikimedia.org/r/513340

Mholloway closed this task as Resolved.Jun 6 2019, 2:48 AM
Mholloway claimed this task.

I think this is encompassed in the new caption endpoints work, so there's no longer a need for a separate ticket.